<?php
/**
 * The template for displaying Comments.
 *
 * @package bolts-pt
 */

?>
<?php if ( ! post_password_required() ) : ?>
	<div id="comments" class="comments  comments-post-<?php the_ID(); ?>">
		<?php if ( have_comments() || comments_open() || pings_open() ) : ?>

			<h2 class="comments__heading"><?php BoltsHelpers::pretty_comments_number(); ?></h2>

			<?php if ( have_comments() ) : ?>

				<div class="comments__container">
					<?php wp_list_comments( array( 'callback' => 'BoltsHelpers::custom_comment', 'avatar_size' => '90' ) ); ?>
				</div>

				<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through. ?>
					<nav id="comment-nav-below" class="text-xs-center  text-uppercase" role="navigation">
						<h3 class="assistive-text"><?php esc_html_e( 'Comment Navigation' , 'bolts-pt' ); ?></h3>
						<div class="nav-previous  pull-left"><?php previous_comments_link( esc_html__( '&larr; Older Comments' , 'bolts-pt' ) ); ?></div>
						<div class="nav-next  pull-right"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;' , 'bolts-pt' ) ); ?></div>
					</nav>
				<?php endif; ?>

				<?php
				// If there are no comments and comments are closed, let's leave a note.
				// But we only want the note on posts and pages that had comments in the first place.
				if ( ! comments_open() && get_comments_number() ) :
				?>
					<p class="nocomments"><?php esc_html_e( 'Comments for this post are closed.', 'bolts-pt' ); ?></p>
				<?php
				endif;
				?>

			<?php endif; // End of: have_comments(). ?>

			<?php
				$bolts_commenter = wp_get_current_commenter();
				$bolts_req       = get_option( 'require_name_email' );
				$bolts_req_html  = $bolts_req ? '<span class="required theme-clr">*</span>' : '';
				$bolts_req_aria  = $bolts_req ? ' aria-required="true" required' : '';

				$bolts_fields    = array(
					'author' => sprintf( '<div class="row"><div class="col-xs-12  col-sm-6  form-group"><label class="screen-reader-text" for="author">%1$s%2$s</label><input id="author" name="author" type="text" value="%3$s" placeholder="' . esc_html__( 'First and Last name' , 'bolts-pt' ) . '" class="form-control" %4$s /></div></div>',
						esc_html__( 'First and Last name', 'bolts-pt' ),
						$bolts_req_html,
						esc_attr( $bolts_commenter['comment_author'] ),
						$bolts_req_aria
					),
					'email'  => sprintf( '<div class="row"><div class="col-xs-12  col-sm-6  form-group"><label class="screen-reader-text" for="email">%1$s%2$s</label><input id="email" name="email" type="email" value="%3$s" placeholder="' . esc_html__( 'E-mail Address' , 'bolts-pt' ) . '" class="form-control" %4$s /></div></div>',
						esc_html__( 'E-mail Address', 'bolts-pt' ),
						$bolts_req_html,
						esc_attr( $bolts_commenter['comment_author_email'] ),
						$bolts_req_aria
					),
					'url'    => sprintf( '<div class="row"><div class="col-xs-12  col-sm-6  form-group"><label class="screen-reader-text" for="url">%1$s</label><input id="url" name="url" type="url" value="%2$s" placeholder="' . esc_html__( 'Website' , 'bolts-pt' ) . '" class="form-control" /></div></div>',
						esc_html__( 'Website', 'bolts-pt' ),
						esc_attr( $bolts_commenter['comment_author_url'] )
					),
				);

				$bolts_comments_args = array(
					'fields'        => $bolts_fields,
					'id_submit'     => 'comments-submit-button',
					'class_submit'  => 'submit  btn  btn-primary  text-uppercase',
					'comment_field' => sprintf( '<div class="row"><div class="col-xs-12  form-group"><label for="comment" class="screen-reader-text">%1$s%2$s</label><textarea id="comment" name="comment" class="form-control" placeholder="' . esc_html__( 'New Comment' , 'bolts-pt' ) . '" rows="5" aria-required="true"></textarea></div></div>',
						esc_html_x( 'Your comment', 'noun', 'bolts-pt' ),
						$bolts_req_html
					),
					'title_reply'   => '',
				);

				// @see https://developer.wordpress.org/reference/functions/comment_form/
				comment_form( $bolts_comments_args );

		else : ?>
		<div class="comments__closed">
			<?php esc_html_e( 'Comments for this post are closed.' , 'bolts-pt' ); ?>
		</div>
	<?php
		endif;
	?>

	</div>
<?php endif; ?>
