<?php
/**
 * Add the link to documentation under Appearance in the wp-admin
 *
 * @package bolts-pt
 */

if ( ! function_exists( 'bolts_add_docs_page' ) ) {

	/**
	 * Creates the Documentation page under the Appearance menu in wp-admin.
	 */
	function bolts_add_docs_page() {
		add_theme_page(
			esc_html__( 'Documentation', 'bolts-pt' ),
			esc_html__( 'Documentation', 'bolts-pt' ),
			'',
			'proteusthemes-theme-docs',
			'bolts_docs_page_output'
		);
	}
	add_action( 'admin_menu', 'bolts_add_docs_page' );

	/**
	 * This is the callback function for the Documentation page above.
	 * This is the output of the Documentation page.
	 */
	function bolts_docs_page_output() {
		?>
		<div class="wrap">
			<h2><?php esc_html_e( 'Documentation', 'bolts-pt' ); ?></h2>

			<p>
				<strong><a href="https://www.proteusthemes.com/docs/bolts-pt/" class="button button-primary " target="_blank"><?php esc_html_e( 'Click here to see online documentation of the theme!', 'bolts-pt' ); ?></a></strong>
			</p>
		</div>
		<?php
	}
}
