<?php
/**
 * Load the Customizer with some custom extended addons
 *
 * @package bolts-pt
 * @link http://codex.wordpress.org/Theme_Customization_API
 */

/**
 * This funtion is only called when the user is actually on the customizer page
 *
 * @param  WP_Customize_Manager $wp_customize
 */
if ( ! function_exists( 'bolts_customizer' ) ) {
	function bolts_customizer( $wp_customize ) {
		// Add required files.
		BoltsHelpers::load_file( '/inc/customizer/class-customize-base.php' );
		new Bolts_Customizer_Base( $wp_customize );
	}
	add_action( 'customize_register', 'bolts_customizer' );
}


/**
 * Takes care for the frontend output from the customizer and nothing else
 */
if ( ! function_exists( 'bolts_customizer_frontend' ) && ! class_exists( 'Bolts_Customize_Frontent' ) ) {
	function bolts_customizer_frontend() {
		BoltsHelpers::load_file( '/inc/customizer/class-customize-frontend.php' );
		$Bolts_Customize_Frontend = new Bolts_Customize_Frontend();
	}
	add_action( 'init', 'bolts_customizer_frontend' );
}
