<?php
/**
 * Template part for displaying posts.
 *
 * @package bolts-pt
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'clearfix' ); ?>>
	<?php
		$bolts_title = get_the_title();
		if ( has_post_thumbnail() || ! empty( $bolts_title ) ) :
	?>
		<header class="hentry__header">
			<?php if ( has_post_thumbnail() ) : ?>
				<a class="hentry__featured-image" href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail( 'post-thumbnail', array( 'class' => 'img-fluid' ) ); ?>
				</a>
			<?php endif; ?>
			<?php the_title( sprintf( '<h2 class="hentry__title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		</header><!-- .hentry__header -->
	<?php endif; ?>

	<div class="hentry__content  entry-content">
		<?php
		$bolts_is_excerpt = ( 1 === (int) get_option( 'rss_use_excerpt', 0 ) );
		if ( $bolts_is_excerpt ) {
			the_excerpt();
		}
		else {
			/* translators: %s: Name of current post */
			the_content( sprintf(
				esc_html__( 'Read more %s', 'bolts-pt' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		}
		?>
		<?php if ( 'post' === get_post_type() ) : ?>
			<div class="hentry__meta  meta">
				<?php get_template_part( 'template-parts/meta' ); ?>
			</div><!-- .hentry__meta -->
		<?php endif; ?>
	</div><!-- .entry-content -->
</article><!-- #post-## -->
