<?php
/**
 * Template part for Jumbotron
 *
 * @package bolts-pt
 */

?>

<div class="jumbotron  jumbotron--<?php echo 'caption' === get_field( 'slider_content' ) ? 'with-captions' : 'no-caption'; ?>">
	<div class="carousel  slide  js-jumbotron-slider" id="headerCarousel" data-ride="carousel" <?php printf( 'data-interval="%s"', get_field( 'auto_cycle' ) ? esc_attr( get_field( 'cycle_interval' ) ) : 'false' ); ?>>

		<!-- Wrapper for slides -->
		<div class="carousel-inner">
		<?php
		$i = -1;
		$bolts_slider_captions = array();
		$bolts_has_captions = 'caption' === get_field( 'slider_content' );

		while ( have_rows( 'slides' ) ) :
			the_row();
			$i++;

			$bolts_slider_sizes = array( 'bolts-jumbotron-slider-l', 'bolts-jumbotron-slider-m', 'bolts-jumbotron-slider-s' );

			$bolts_slide_image_srcset = BoltsHelpers::get_image_srcset( get_sub_field( 'slide_image' ), $bolts_slider_sizes );
			$bolts_slide_link         = get_sub_field( 'slide_link' );

			$bolts_slider_src_img = wp_get_attachment_image_src( absint( get_sub_field( 'slide_image' ) ), 'bolts-jumbotron-slider-s' );

			if ( $bolts_has_captions ) {
				$bolts_slider_captions[] = array(
					'title' => get_sub_field( 'slide_title' ),
					'text'  => get_sub_field( 'slide_text' ),
				);
			}
		?>

			<div class="carousel-item <?php echo 0 === $i ? ' active' : ''; ?>">
				<?php if ( ! empty( $bolts_slide_link ) && 'link' === get_field( 'slider_content' ) ) :?>
					<a href="<?php echo esc_url( $bolts_slide_link ); ?>" target="<?php echo ( get_sub_field( 'slide_open_link_in_new_window' ) ) ?  '_blank' : '_self' ?>">
				<?php endif; ?>
				<img src="<?php echo esc_url( $bolts_slider_src_img[0] ); ?>" srcset="<?php echo esc_attr( $bolts_slide_image_srcset ); ?>" sizes="100vw" alt="<?php echo esc_attr( get_sub_field( 'slide_title' ) ); ?>">
				<?php if ( ! empty( $bolts_slide_link ) && 'link' === get_field( 'slider_content' ) ) :?>
					</a>
				<?php endif; ?>
			</div>

		<?php
			endwhile;
		?>

		</div>

		<!-- Controls -->
		<a class="left  jumbotron__control" href="#headerCarousel" role="button" data-slide="prev">
			<i class="fa  fa-angle-left"></i>
		</a>
		<a class="right  jumbotron__control" href="#headerCarousel" role="button" data-slide="next">
			<i class="fa  fa-angle-right"></i>
		</a>
	</div>

	<!-- Slider Content -->
	<?php if ( ! empty( $bolts_slider_captions ) ) : ?>
	<div class="container">
		<div class="jumbotron-content  js-slider-captions">
			<h1 class="jumbotron-content__title  js-slider-captions__title"><?php echo esc_html( $bolts_slider_captions[0]['title'] ); ?></h1>
			<div class="jumbotron-content__description  js-slider-captions__text">
				<?php echo wp_kses_post( $bolts_slider_captions[0]['text'] ); ?>
			</div>
		</div>
	</div>
	<script>window.BoltsSliderCaptions = <?php echo wp_json_encode( $bolts_slider_captions ); ?>;</script>
	<?php endif; ?>

</div>
